﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using System.Globalization;
using Syncfusion.Data;
using iStatPractice;

namespace SfDataGridSample
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            dataGrid.SelectionChanged += DataGrid_SelectionChanged;
        }

        private void DataGrid_SelectionChanged(object sender, GridSelectionChangedEventArgs e)
        {
            if (e.AddedItems.Count != 0)
            {
                (e.AddedItems[0] as OrderInfo).TemplateBackGround = Color.Green;
            }

            if (e.RemovedItems.Count != 0)
            {
                (e.RemovedItems[0] as OrderInfo).TemplateBackGround = Color.Yellow;
            }
        }
    }
}
